# network_gui.h File Reference

GUIs related to networking. More...

`#include "../company_type.h"`
`#include "../economy_type.h"`
`#include "../window_type.h"`
`#include "network_type.h"`

Go to the source code of this file.

## Data Structures
struct | NetworkCompanyInfo
| Company information stored at the client side. More...
## Functions
void | ShowNetworkNeedPassword (NetworkPasswordType npt)
void | ShowNetworkGiveMoneyWindow (CompanyID company)
void | ShowNetworkChatQueryWindow (DestType type, int dest)
void | ShowJoinStatusWindow ()
void | ShowNetworkGameWindow ()
void | ShowClientList ()
void | ShowNetworkCompanyPasswordWindow (Window *parent)
NetworkCompanyInfo * | GetLobbyCompanyInfo (CompanyID company)
| Get the company information of a given company to fill for the lobby.

## Detailed Description

GUIs related to networking.

Definition in file network_gui.h.

## Function Documentation

NetworkCompanyInfo* GetLobbyCompanyInfo | ( | CompanyID | company | ) |

Get the company information of a given company to fill for the lobby.

Parameters:

  | company | the company to get the company info struct from.

Returns:
  the company info struct to write the (downloaded) data to.

Definition at line 1734 of file network_gui.cpp.

References FindWindowById().

Referenced by NetworkLobbyWindow::OnPaint().